Show / Hide Table of Contents

# Class JobGauges

This class converts in-memory Job gauge data to structs.

##### Inheritance

System.Object
JobGauges

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge

###### Assembly: Dalamud.dll

##### Syntax

    public class JobGauges

### Constructors

| Improve this Doc View Source

#### JobGauges(ClientStateAddressResolver)

Initializes a new instance of the JobGauges class.

##### Declaration

    public JobGauges(ClientStateAddressResolver addressResolver)

##### Parameters

Type | Name | Description
--- | --- | ---
ClientStateAddressResolver | addressResolver | Address resolver with the JobGauge memory location(s).

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the JobGauge data.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Get<T>()

Get the JobGauge for a given job.

##### Declaration

    public T Get<T>()
        where T : JobGaugeBase

##### Returns

Type | Description
--- | ---
T | A JobGauge.

##### Type Parameters

Name | Description
--- | ---
T | A JobGauge struct from ClientState.Structs.JobGauge.